using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IEducationGroupLogic
    {
        bool Create(EducationGroupBindingModel model);
        bool Update(EducationGroupBindingModel model);
        bool Delete(EducationGroupBindingModel model);
        List<EducationGroupViewModel>? ReadList(EducationGroupSearchModel? model);
        EducationGroupViewModel? ReadElement(EducationGroupSearchModel model);
    }
}
